EdgeWorkers CLI root user error

You will receive an error message when attempting to use the EdgeWorkers CLI if the package was installed as root. To resolve this issue you can use npm commands to facilitate the install process.

For automation environments such as Dockerfile, run the following command to avoid the root user error:

akamai install edgeworkers 
cd ~/.akamai-cli/src/cli-edgeworkers/
 npm run build

If you aren’t using an automation environment, use these manual steps to avoid the root user error:

Navigate to the source drop directory:
cd ~/.akamai-cli/src/cli-edgeworkers/

Build with root user permissions allowed:

npm install --unsafe-perm